<?php
/*
    *****************************************************************************
    * MEGA Digital Space - by MEGA Digital Studio                               *
    * ------------------------------------------------------------------------- *
    * CMS Website:  https://megadigital.space                                   *
    * License:  https://megadigital.space/license                               *
    * Owner:  Giorgi Basharuli                                                  *
    * Contact:  online@megadigital.studio                                       *
    * MEGA Digital Studio – Official Development Studio for MEGA Digital Space  *
    * Website:  https://megadigital.studio                                      *
    * ------------------------------------------------------------------------- *
    * Description: This file is a part of the MEGA Digital Space CMS system.    *
    * Unauthorized distribution, modification, or commercial use is strictly -  *
    * prohibited without prior written permission.                              *
    * ------------------------------------------------------------------------- *
    * Copyright (c) 2023-2025 MEGA Digital Studio.                              *
    * All rights reserved.                                                      *
    *****************************************************************************
*/

require_once($_SERVER["DOCUMENT_ROOT"] . '/engine/data/config.php');
require_once($_SERVER["DOCUMENT_ROOT"] . "/engine/data/dbconfig.php");


if (!empty($_POST["dbUser"]) && !empty($_POST["dbHost"]) && !empty($_POST["dbName"])) {
    try {
        $dbConfig = new DBConfig();
        $dbConfig->setDBType($_POST["dbType"]);
        $dbConfig->setUSER($_POST["dbUser"]);
        $dbConfig->setDATABASE($_POST["dbName"]);
        $dbConfig->setHOST($_POST["dbHost"]);
        $dbConfig->setPASSWORD($_POST["dbPass"]);
        $db_connect = $dbConfig->getDBConnect();

        echo true;
    } catch (Exception $exception) {

        echo $exception->getMessage();
    }
} else {
    echo "Host, DbUser and DbName are required";
}

